package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basicp1.Entity.Testkb;
import com.realnet.basicp1.Services.TestkbService ;






@RequestMapping(value = "/token/Testkb")
 @CrossOrigin("*") 
@RestController
public class tokenFree_TestkbController {
	@Autowired
	private TestkbService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Testkb")
		  public Testkb Savedata(@RequestBody Testkb data) {
		Testkb save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Testkb/{id}")
	public  Testkb update(@RequestBody Testkb data,@PathVariable Integer id ) {
		Testkb update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Testkb/getall/page")
	public Page<Testkb> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Testkb> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Testkb")
	public List<Testkb> getdetails() {
		 List<Testkb> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Testkb")
	public List<Testkb> getallwioutsec() {
		 List<Testkb> get = Service.getdetails();		
		return get;
}
@GetMapping("/Testkb/{id}")
	public  Testkb  getdetailsbyId(@PathVariable Integer id ) {
		Testkb  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Testkb/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}